unit test_sshfsu;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, process, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    btsshfs: TButton;
    btUmount: TButton;
    Process1: TProcess;
    procedure btsshfsClick(Sender: TObject);
    procedure btUmountClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btsshfsClick(Sender: TObject);
begin
  Process1:=TProcess.Create(Self);
  Process1.Executable:='sshfs';
  Process1.Parameters.Add('-o');
  Process1.Parameters.Add('password_stdin');
  Process1.Parameters.Add('user@host:/home/user/');
  Process1.Parameters.Add('/verzeichnis/');
  Process1.Parameters.Add('<<<');
  Process1.Parameters.Add('password');
  Process1.Options:=Process1.Options+[poWaitOnExit,poUsePipes];
  Process1.Execute;
  Process1.Free;
end;

procedure TForm1.btUmountClick(Sender: TObject);
begin
  Process1:=TProcess.Create(Self);
  Process1.Executable:='fusermount';
  Process1.Parameters.Add('-u');
  Process1.Parameters.Add('/verzeichnis/');
  Process1.Execute;
  Process1.Free;
end;

end.

